sequence.sequence

## Class RealSortableSequence

- java.lang.Object
- - sequence.basesequence.AbstractBaseSequence
  - - sequence.sequence.RealSequence
    - - sequence.sequence.RealSortableSequence

- All Implemented Interfaces:
    CommonBase, BaseSequence, Sequence, SortableSequence

      class RealSortableSequence
      extends RealSequence
      implements SortableSequence

  Implementace seřaditelné posloupnosti.

  Užití: instance této třídy lze používat v aplikacích

- - ### Field Summary

    - ### Fields inherited from class sequence.sequence.RealSequence

      `list`

    - ### Fields inherited from class sequence.basesequence.AbstractBaseSequence

      `count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealSortableSequence(SortableListFactory aListFactory, int aSize)` Vyrobí seřaditelnou posloupnost.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberReference` | `getFirstRef()` Vrátí odkaz na první člen posloupnosti.
    `MemberReference` | `getLastRef()` Vrátí odkaz na poslední člen posloupnosti.
    `ShallowSequence` | `makeLowerHalfSequence()` Vyrobí mělkou kopii posloupnosti obsahující spodní polovinu.
    `ShallowSequence` | `makeShrinkSequence()` Vyrobí mělkou kopii celé posloupnosti.
    `ShallowSequence` | `makeStretchDownSequence()` Vyrobí mělkou kopii posloupnosti obsahující poslední člen.
    `ShallowSequence` | `makeStretchUpSequence()` Vyrobí mělkou kopii posloupnosti obsahující první člen.
    `ShallowSequence` | `makeUpperHalfSequence()` Vyrobí mělkou kopii posloupnosti obsahující horní polovinu.

    - ### Methods inherited from class sequence.sequence.RealSequence

      `append, getList, insert, isFirst, isLast, moveFirst, moveLast, moveNext, movePrev, moveTo, remove`

    - ### Methods inherited from class sequence.basesequence.AbstractBaseSequence

      `getCount, getElement, getMoveCounter, isEmpty, isFull, resetMoveCounter, setElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface sequence.sequenceinterface.Sequence

      `append, insert, isFirst, isLast, moveFirst, moveLast, moveNext, movePrev, moveTo, remove`

    - ### Methods inherited from interface sequence.sequenceinterface.BaseSequence

      `getCount, isEmpty, isFull`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Constructor Detail

    - #### RealSortableSequence

          public RealSortableSequence(SortableListFactory aListFactory,
                                      int aSize)

      Vyrobí seřaditelnou posloupnost. Posloupnost se Implementuje jako wrapper nad seznamem.
      Parameters:
        `aListFactory` - továrna na seznamy
        `aSize` - požadovaná kapacita posloupnosti

  - ### Method Detail

    - #### getFirstRef

          public MemberReference getFirstRef()

      Description copied from interface: `SortableSequence`
      Vrátí odkaz na první člen posloupnosti. Dá se porovnat s jiným odkazem.
      Specified by:
        `getFirstRef` in interface `SortableSequence`
      Returns:
        odkaz na první člen posloupnosti

    - #### getLastRef

          public MemberReference getLastRef()

      Description copied from interface: `SortableSequence`
      Vrátí odkaz na poslední člen posloupnosti. Dá se porovnat s jiným odkazem.
      Specified by:
        `getLastRef` in interface `SortableSequence`
      Returns:
        odkaz na poslední člen posloupnosti

    - #### makeShrinkSequence

          public ShallowSequence makeShrinkSequence()

      Description copied from interface: `SortableSequence`
      Vyrobí mělkou kopii celé posloupnosti.
      Specified by:
        `makeShrinkSequence` in interface `SortableSequence`
      Returns:
        mělká kopie celé posloupnosti

    - #### makeStretchUpSequence

          public ShallowSequence makeStretchUpSequence()

      Description copied from interface: `SortableSequence`
      Vyrobí mělkou kopii posloupnosti obsahující první člen.
      Specified by:
        `makeStretchUpSequence` in interface `SortableSequence`
      Returns:
        mělká kopie posloupnosti obsahující první člen

    - #### makeStretchDownSequence

          public ShallowSequence makeStretchDownSequence()

      Description copied from interface: `SortableSequence`
      Vyrobí mělkou kopii posloupnosti obsahující poslední člen.
      Specified by:
        `makeStretchDownSequence` in interface `SortableSequence`
      Returns:
        mělká kopie posloupnosti obsahující poslední člen

    - #### makeLowerHalfSequence

          public ShallowSequence makeLowerHalfSequence()

      Description copied from interface: `SortableSequence`
      Vyrobí mělkou kopii posloupnosti obsahující spodní polovinu.
      Specified by:
        `makeLowerHalfSequence` in interface `SortableSequence`
      Returns:
        mělká kopie posloupnosti obsahující spodní polovinu

    - #### makeUpperHalfSequence

          public ShallowSequence makeUpperHalfSequence()

      Description copied from interface: `SortableSequence`
      Vyrobí mělkou kopii posloupnosti obsahující horní polovinu.
      Specified by:
        `makeUpperHalfSequence` in interface `SortableSequence`
      Returns:
        mělká kopie posloupnosti obsahující horní polovinu